import { Chunk } from "../chunk/chunk";
import * as peg from "pegjs";
declare class Renderer {
    initializer: string;
    start: Chunk;
    grammar: Map<string, string>;
    rules: Map<string, Function>;
    actions: Map<string, Function>;
    constructor(chunk: Chunk);
    render(): string;
    collectRule(chunk: Chunk): void;
}
declare class Parser {
    parser: peg.Parser;
    renderer: Renderer;
    grammar: string;
    constructor(renderer: Renderer);
    parse(code: string): any;
}
export declare function render(chunk: Chunk): Parser;
export {};
