"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListTranslator = void 0;
const base_1 = require("../common/base");
const pattern_1 = require("../common/pattern");
class ListTranslator extends base_1.Translator {
    translate(chunk, actions) {
        const expression = pattern_1.translateChildren(chunk, actions).join(" ");
        if (chunk.props.label) {
            return `(${expression})`;
        }
        return expression;
    }
}
exports.ListTranslator = ListTranslator;
